/* ESP32_touch_ledswitch
 *  
 * A beépített LED vezérlése érintésérzékeléssel 
 * A beépített LED akkor világít, ha az érintésérzékelő
 * bemenetre kötött "nyomógombot" megérintjük.
 * Érintésérzékelésre itt a GPIO13 (T4) kivezetést használjuk, 
 * a beépített LED pedig a GPIO2 kivezetésre van kötve.
 * 
 * Arduino 1.8.15 és ESP32 2.0.0 kiadással tesztelve
 */
#define TOUCH_PIN 13
#define LED_PIN   LED_BUILTIN
#define THRESHOLD  30

void setup() {
  Serial.begin(115200);
  delay(1000);
  pinMode (LED_PIN, OUTPUT);
}

void loop() {
  int touch_value = touchRead(TOUCH_PIN);
  Serial.println(touch_value);
  if (touch_value < THRESHOLD) {
    digitalWrite(LED_PIN, HIGH);
  }
  else {
    digitalWrite(LED_PIN, LOW);
  }
  delay(100);
}
